// Class = Cuadrado
// Method = volumen()D

public class AutomaticTestCases1 {

    public boolean test1() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado((-1.0), (-1.0), (-547.73));
        double double0 = cuadrado0.volumen();
        return double0 == -1.6432346558791703E8;
    }

    public boolean test2() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado((-2554.86894332), (-2554.86894332), 0.0);
        double double0 = cuadrado0.volumen();
        return double0 == 0.0;
    }

    public boolean test3() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado(1616.3, 1616.3, 1616.3);
        double double0 = cuadrado0.volumen();
        return double0 == 4.2224636427469997E9;
    }

    public boolean test4() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado(1.0, 1817.0, 1.0);
        double double0 = cuadrado0.volumen();
        return double0 == 1.0;
    }

    public boolean test5() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado(1.0, (-1595.23891484), (-2544.0));
        double double0 = cuadrado0.volumen();
        return double0 == -1.6464605184E10;
    }

    public boolean test6() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado((-1554.6984219609), (-1554.6984219609), (-1.0));
        double double0 = cuadrado0.volumen();
        return double0 == -1.0;
    }

    public boolean test7() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado(1868.335968492, (-1.0), 1868.335968492);
        double double0 = cuadrado0.volumen();
        return double0 == 6.521761674146141E9;
    }

    public boolean test8() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado((-440.594), (-1134.754134968646), (-1134.754134968646));
        double double0 = cuadrado0.volumen();
        return double0 == -1.461185392376024E9;
    }

    public boolean test9() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado(0.0, 0.0, 0.0);
        double double0 = cuadrado0.volumen();
        return double0 == 0.0;
    }

    public boolean test10() throws Throwable {
        Cuadrado cuadrado0 = new Cuadrado(2278.0310745589, 3387.17425425078, 3387.17425425078);
        double double0 = cuadrado0.volumen();
        return double0 == 3.886087892507607E10;
    }
}